> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Internal Transactions by Transaction Hash

> Retrieves the list of internal transactions executed within a specific transaction.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "1743059",
        "timeStamp": "1466489498",
        "from": "0x2cac6e4b11d6b58f6d3c1c9d5fe8faa89f60e5a2",
        "to": "0x66a1c3eaf0f1ffc28d209c0763ed0ca614f3b002",
        "value": "7106740000000000",
        "contractAddress": "",
        "input": "",
        "type": "call",
        "gas": "2300",
        "gasUsed": "0",
        "isError": "0",
        "errCode": ""
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/txlistinternal-txhash.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Internal Transactions by Transaction Hash
  version: 2.0.0
  description: >-
    Retrieves the list of internal transactions executed within a specific
    transaction.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Internal Transactions by Transaction Hash
      description: >-
        Retrieves the list of internal transactions executed within a specific
        transaction.
      operationId: getTxlistinternalTxhash
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to txlistinternal for this endpoint.
          schema:
            type: string
            default: txlistinternal
          example: txlistinternal
        - name: txhash
          in: query
          required: true
          description: >-
            Transaction hash to check for internal transactions, like
            0x36dc7f05085d0e4f9c3e4116345a2a487ac8f23f7e71bcc0ae20e27abbfa931d.
            Only non-zero value internal transactions are returned.
          schema:
            type: string
          example: '0x40eb908387324f2b575b4879cd9d7188f69c8fc9d87c901b9e2daaea4b442170'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````